2019-11-18 21:56 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000100mercuryBugpublic2010-02-02 16:21
Reporterpetdr 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000100: incorrect report that a module is unused
DescriptionIf you have a typeclass

:- typeclass tc(T) <= tc2(T) where [...].
:- instance tc(unit).

Then the system needs to prove that tc2(unit) holds as well.

If you import a module which holds that fact and that is all the module is used for then the system incorrectly reports that module is unused.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000177

petdr (developer)

I can fix this bug if someone can tell me where to find that we've used the instance tc2(unit) coming from an import.

~0000249

juliensf (administrator)

Fixed - see r1.176 of compiler/module_qual.m.
+Notes

-Issue History
Date Modified Username Field Change
2009-06-26 16:22 petdr New Issue
2009-06-26 16:22 petdr File Added: interface_import_bug.tar.bz2
2009-06-26 16:25 petdr Note Added: 0000177
2010-02-02 16:21 juliensf Note Added: 0000249
2010-02-02 16:21 juliensf Status new => resolved
2010-02-02 16:21 juliensf Resolution open => fixed
2010-02-02 16:21 juliensf Assigned To => juliensf
+Issue History